Skip to main content
PATCH
/
consumers
/
{consumer_id}
/
connections
/
{connectionid}
Update an existing connection
curl --request PATCH \
  --url https://api.chift.eu/consumers/{consumer_id}/connections/{connectionid} \
  --header 'Content-Type: application/json' \
  --data '
{
  "redirect": false,
  "name": "<string>",
  "credentials": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}
'
{
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.chift.eu/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

consumer_id
string<uuid>
required
connectionid
string<uuid>
required

Body

application/json
redirect
boolean | null
default:false

Indicates whether you want to return to the consumer's redirectUrl after update (true) or whether you want to return on the connection page (false)

name
string | null

Can be used to update the name of an existing connection

Maximum string length: 80
credentials
CredentialItem · object[] | null

Can be used to update the credentials of an existing connection. Please use the getIntegrations route to see the available credentials for each integration

Response

Successful Response

url
string
required